Filter
Keywords: com.artenum.cassandra.pipeline.Filter interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.artenum.cassandra.pipeline
Interface Filter

All Known Implementing Classes:
  FilterImpl

    public interface Filter

     Project ref           : CASSANDRA project
     Copyright and license : See relevant sections
     Status                : under development
     Creation              : 04/03/2005
     Modification          :

     Description  : Meta object of the pipeline.
                    It is use to hide a part of the
                    underlying vtk pipeline.

Version number | Author (name, e-mail) | Corrections/Modifications
0.1 | Sebastien Jourdain, jourdain@artenum.com | Creation

Version:
  0.1
Author:
  Sebastien Jourdain

Method Summary
`void` | `addRemoveListener(RemoveListener rl)`
`java.util.Collection` | `getInputActor()`
`java.util.Collection` | `getInputDataSet()`
`java.util.Collection` | `getInputMapper()`
`java.util.Collection` | `getOutputActor()`
`java.util.Collection` | `getOutputDataSet()`
`java.util.Collection` | `getOutputMapper()`
`void` | `remove()`
`void` | `removeRemoveListener(RemoveListener rl)`

Method Detail

### getInputDataSet

    java.util.Collection getInputDataSet()

### getInputMapper

    java.util.Collection getInputMapper()

### getInputActor

    java.util.Collection getInputActor()

### getOutputDataSet

    java.util.Collection getOutputDataSet()

### getOutputMapper

    java.util.Collection getOutputMapper()

### getOutputActor

    java.util.Collection getOutputActor()

### remove

    void remove()

### addRemoveListener

    void addRemoveListener(RemoveListener rl)

### removeRemoveListener

    void removeRemoveListener(RemoveListener rl)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

     (c) Copyright: Artenum SARL, 101-103 Boulevard Mac Donald,
                    75019, Paris, France 2005.
                    http://www.artenum.com

     License:

      This program is free software; you can redistribute it
      and/or modify it under the terms of the Q Public License;
      either version 1 of the License.

      This program is distributed in the hope that it will be
      useful, but WITHOUT ANY WARRANTY; without even the implied
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
      PURPOSE. See the Q Public License for more details.

      You should have received a copy of the Q Public License
      License along with this program;
      if not, write to:
        Artenum SARL, 101-103 Boulevard Mac Donald,
        75019, PARIS, FRANCE, e-mail: contact@artenum.com